# This file was auto-generated by Fern from our API Definition.

from .environment import VitalEnvironment
from .resources.activity.client import ActivityClient, AsyncActivityClient
from .resources.body.client import AsyncBodyClient, BodyClient
from .resources.devices.client import AsyncDevicesClient, DevicesClient
from .resources.insurance.client import AsyncInsuranceClient, InsuranceClient
from .resources.lab_tests.client import AsyncLabTestsClient, LabTestsClient
from .resources.link.client import AsyncLinkClient, LinkClient
from .resources.meal.client import AsyncMealClient, MealClient
from .resources.profile.client import AsyncProfileClient, ProfileClient
from .resources.providers.client import AsyncProvidersClient, ProvidersClient
from .resources.sleep.client import AsyncSleepClient, SleepClient
from .resources.team.client import AsyncTeamClient, TeamClient
from .resources.testkit.client import AsyncTestkitClient, TestkitClient
from .resources.timeseries.client import AsyncTimeseriesClient, TimeseriesClient
from .resources.user.client import AsyncUserClient, UserClient
from .resources.vitals.client import AsyncVitalsClient, VitalsClient
from .resources.workouts.client import AsyncWorkoutsClient, WorkoutsClient


class Vital:
    def __init__(self, *, environment: VitalEnvironment = VitalEnvironment.PRODUCTION, api_key: str):
        self._environment = environment
        self.api_key = api_key
        self.link = LinkClient(environment=self._environment, api_key=self.api_key)
        self.profile = ProfileClient(environment=self._environment, api_key=self.api_key)
        self.devices = DevicesClient(environment=self._environment, api_key=self.api_key)
        self.activity = ActivityClient(environment=self._environment, api_key=self.api_key)
        self.workouts = WorkoutsClient(environment=self._environment, api_key=self.api_key)
        self.sleep = SleepClient(environment=self._environment, api_key=self.api_key)
        self.body = BodyClient(environment=self._environment, api_key=self.api_key)
        self.meal = MealClient(environment=self._environment, api_key=self.api_key)
        self.timeseries = TimeseriesClient(environment=self._environment, api_key=self.api_key)
        self.vitals = VitalsClient(environment=self._environment, api_key=self.api_key)
        self.user = UserClient(environment=self._environment, api_key=self.api_key)
        self.team = TeamClient(environment=self._environment, api_key=self.api_key)
        self.providers = ProvidersClient(environment=self._environment, api_key=self.api_key)
        self.lab_tests = LabTestsClient(environment=self._environment, api_key=self.api_key)
        self.testkit = TestkitClient(environment=self._environment, api_key=self.api_key)
        self.insurance = InsuranceClient(environment=self._environment, api_key=self.api_key)


class AsyncVital:
    def __init__(self, *, environment: VitalEnvironment = VitalEnvironment.PRODUCTION, api_key: str):
        self._environment = environment
        self.api_key = api_key
        self.link = AsyncLinkClient(environment=self._environment, api_key=self.api_key)
        self.profile = AsyncProfileClient(environment=self._environment, api_key=self.api_key)
        self.devices = AsyncDevicesClient(environment=self._environment, api_key=self.api_key)
        self.activity = AsyncActivityClient(environment=self._environment, api_key=self.api_key)
        self.workouts = AsyncWorkoutsClient(environment=self._environment, api_key=self.api_key)
        self.sleep = AsyncSleepClient(environment=self._environment, api_key=self.api_key)
        self.body = AsyncBodyClient(environment=self._environment, api_key=self.api_key)
        self.meal = AsyncMealClient(environment=self._environment, api_key=self.api_key)
        self.timeseries = AsyncTimeseriesClient(environment=self._environment, api_key=self.api_key)
        self.vitals = AsyncVitalsClient(environment=self._environment, api_key=self.api_key)
        self.user = AsyncUserClient(environment=self._environment, api_key=self.api_key)
        self.team = AsyncTeamClient(environment=self._environment, api_key=self.api_key)
        self.providers = AsyncProvidersClient(environment=self._environment, api_key=self.api_key)
        self.lab_tests = AsyncLabTestsClient(environment=self._environment, api_key=self.api_key)
        self.testkit = AsyncTestkitClient(environment=self._environment, api_key=self.api_key)
        self.insurance = AsyncInsuranceClient(environment=self._environment, api_key=self.api_key)
