# This file was auto-generated by Fern from our API Definition.

import datetime as dt
import typing

import pydantic

from ..core.datetime_utils import serialize_datetime


class ClientFacingProvider(pydantic.BaseModel):
    """
    A vendor, a service, or a platform which Vital can connect with.
    """

    name: str = pydantic.Field(description=("Name of source of information\n"))
    slug: str = pydantic.Field(description=("Slug for designated source\n"))
    logo: str = pydantic.Field(description=("URL for source logo\n"))

    def json(self, **kwargs: typing.Any) -> str:
        kwargs_with_defaults: typing.Any = {"by_alias": True, "exclude_unset": True, **kwargs}
        return super().json(**kwargs_with_defaults)

    def dict(self, **kwargs: typing.Any) -> typing.Dict[str, typing.Any]:
        kwargs_with_defaults: typing.Any = {"by_alias": True, "exclude_unset": True, **kwargs}
        return super().dict(**kwargs_with_defaults)

    class Config:
        frozen = True
        json_encoders = {dt.datetime: serialize_datetime}
