# This file was auto-generated by Fern from our API Definition.

import datetime as dt
import typing

import pydantic

from ..core.datetime_utils import serialize_datetime
from .fats import Fats


class Macros(pydantic.BaseModel):
    carbs: typing.Optional[float] = pydantic.Field(description=("Amount of carbohydrates in grams (g)\n"))
    protein: typing.Optional[float] = pydantic.Field(description=("Amount of protein in grams (g)\n"))
    fats: typing.Optional[Fats] = pydantic.Field(description=("Details of fat content\n"))
    alcohol: typing.Optional[float] = pydantic.Field(description=("Amount of alcohol in grams (g)\n"))
    water: typing.Optional[float] = pydantic.Field(description=("Amount of water in grams (g)\n"))
    fibre: typing.Optional[float] = pydantic.Field(description=("Amount of dietary fiber in grams (g)\n"))
    sugar: typing.Optional[float] = pydantic.Field(description=("Amount of sugar in grams (g)\n"))

    def json(self, **kwargs: typing.Any) -> str:
        kwargs_with_defaults: typing.Any = {"by_alias": True, "exclude_unset": True, **kwargs}
        return super().json(**kwargs_with_defaults)

    def dict(self, **kwargs: typing.Any) -> typing.Dict[str, typing.Any]:
        kwargs_with_defaults: typing.Any = {"by_alias": True, "exclude_unset": True, **kwargs}
        return super().dict(**kwargs_with_defaults)

    class Config:
        frozen = True
        json_encoders = {dt.datetime: serialize_datetime}
